<?php get_header(); ?>

	<div id="content">

		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
	
		<div class="navigation">
			<div class="alignleft"><?php previous_post_link('&laquo; %link') ?></div>
			<div class="alignright"><?php next_post_link('%link &raquo;') ?></div>
		</div><div style="clear:both">&nbsp;</div>
		<div <?php post_class(); ?> id="post-<?php the_ID(); ?>">
			<h2 class="posttitle"><?php the_title(); ?></h2>
			<div class="postmetadata">
				<?php if(f2_option('show_author') == 'on') : ?>
				<?php _e('Posted by', 'f2'); ?>&nbsp;<span class="postauthor"><?php the_author_posts_link(); ?></span> <?php _e('on', 'f2'); ?>
				<?php endif; ?>
				<span class="postdate"><?php the_time(__('j F Y, g:i a', 'f2')); ?></span>
			</div>
			<div class="postentry">
				<?php the_content(); ?>
				<?php wp_link_pages(array('before' => '<p><strong>'.__('Pages:', 'f2').'</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>
			</div>
	
			<div class="postmetadata">
				<div class="posttagscat">
				<?php if(f2_option('show_cat') == 'on') : ?>
				<span class="postcat"><?php _e('Filed under', 'f2'); ?>&nbsp;<?php the_category(', '); ?></span>
				<?php endif; ?>
				<?php if( function_exists('the_tags') ) 
					the_tags('<span class="posttags">'.__('Tagged', 'f2').'&nbsp;', ', ', '</span>'); 
				?>
				</div>
				<span class="postcomment"><?php if(comments_open()) { ?><a href="#respond"><?php _e('Comment', 'f2') ?></a> (<?php comments_rss_link('RSS'); ?>)<?php } else _e('Comments are closed', 'f2'); ?>
				<?php if(pings_open()) { ?>&nbsp;|&nbsp;&nbsp;<a href="<?php trackback_url(true); ?> " rel="trackback"><?php _e('Trackback', 'f2') ?></a><?php } ?>
				</span>
				<span class="permalink">&nbsp;|&nbsp;&nbsp;<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf(__('Permanent Link to %s', 'f2'), the_title_attribute('echo=0')); ?>">Permalink</a></span>
				<?php edit_post_link(__('Edit', 'f2'), '<span class="postedit">', '</span>'); ?>
		</div>
	</div>
	<?php comments_template(); ?>

	<?php endwhile; ?>

		<div class="navigation">
			<div class="alignleft"><?php previous_post_link('&laquo; %link') ?></div>
			<div class="alignright"><?php next_post_link('%link &raquo;') ?></div>
		</div>	
	
	<?php else: ?>

		<div class="post">
			<h2 class="posttitle"><?php _e('Not Found', 'f2') ?></h2>
			<div class="postentry"><p><?php _e('Sorry, no posts matched your criteria.', 'f2'); ?></p></div>
		</div>

	<?php endif; ?>

	</div>

<?php get_sidebar(); ?>
<?php get_footer(); ?>
	
