<?php
// Do not delete these lines
	if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die (__('Please do not load this page directly. Thanks!', 'f2'));

	if ( post_password_required() ) { ?>
		<p class="nocomments"><?php _e('This post is password protected. Enter the password to view comments.', 'f2'); ?></p>
	<?php
		return;
	}
?>

<?php // You can start editing here ?>

<div id="comments">

<?php if ( have_comments() ) : ?>

	<h3><?php comments_number(__('No Comments', 'f2'), __('One Comment', 'f2'), __('% Comments', 'f2') );?> </h3>
	<div class="navigation" style="clear:both;">
		<div class="alignleft"><?php previous_comments_link() ?></div>
		<div class="alignright"><?php next_comments_link() ?></div>
	</div>
	<ol class="commentlist" style="clear:both;">
	<?php wp_list_comments('reply_text='.__('Reply to this comment', 'f2')); ?>
	</ol>
	<div class="navigation" style="clear:both">
		<div class="alignleft"><?php previous_comments_link() ?></div>
		<div class="alignright"><?php next_comments_link() ?></div>
	</div>
	<div style="clear:both;"></div>

<?php endif; ?>


<?php if (comments_open()) : ?>

<div id="respond">

<h3><?php comment_form_title(__('Leave a Reply', 'f2'), __('Leave a Reply to %s', 'f2') ); ?></h3>

<div class="cancel-comment-reply">
	<small><?php cancel_comment_reply_link(); ?></small>
</div>

<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
<p><?php printf(__("You must be <a href=\"%s\">logged in</a> to post a comment.", 'f2'), wp_login_url( get_permalink() )); ?></p>
<?php else : ?>

<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">

<?php if ( is_user_logged_in() ) : ?>

<p><?php printf(__("Logged in as %s. <a href=\"%s\" title=\"Log out of this account\">Log out &raquo;</a>", 'f2'), '<a href="'.get_option('siteurl').'/wp-admin/profile.php">'.$user_identity.'</a>', wp_logout_url(get_permalink())); ?></p>

<?php else : ?>

<p><input type="text" name="author" id="author" value="<?php echo esc_attr($comment_author); ?>" size="22" tabindex="1" />
<label for="author"><small><?php _e('Name', 'f2'); if ($req) echo " (".__('required', 'f2').")"; ?></small></label></p>

<p><input type="text" name="email" id="email" value="<?php echo esc_attr($comment_author_email); ?>" size="22" tabindex="2" />
<label for="email"><small><?php _e('Mail', 'f2'); echo ' ('; _e('will not be published', 'f2'); echo ')'; if ($req) echo " (".__('required', 'f2').")"; ?></small></label></p>

<p><input type="text" name="url" id="url" value="<?php echo esc_attr($comment_author_url); ?>" size="22" tabindex="3" />
<label for="url"><small><?php _e('Website', 'f2'); ?></small></label></p>

<?php endif; ?>

<!--<p><small><strong>XHTML:</strong> You can use these tags: <code><?php echo allowed_tags(); ?></code></small></p>-->

<p><textarea name="comment" id="comment" cols="100%" rows="10" tabindex="4"></textarea></p>

<p><input name="submit" type="submit" id="submit" tabindex="5" value="<?php _e('Submit Comment', 'f2'); ?>" />
<?php comment_id_fields(); ?>
</p>
<?php do_action('comment_form', $post->ID); ?>

</form>

<?php endif; // If registration required and not logged in ?>
</div>
<?php endif; // if you delete this the sky will fall on your head ?>
</div>

